> ## Documentation Index
> Fetch the complete documentation index at: https://docs.visotrust.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get assessment history for a relationship



## OpenAPI

````yaml https://app.visotrust.com/v1/api-docs get /api/v1/relationship/{id}/assessments
openapi: 3.1.0
info:
  title: VISO TRUST API Documentation
  description: VISO TRUST
  version: v1.0
servers:
  - url: https://app.visotrust.com
    description: Generated server url
security: []
externalDocs:
  description: VISO TRUST Support Documentation
  url: https://docs.visotrust.com/
paths:
  /api/v1/relationship/{id}/assessments:
    get:
      tags:
        - client-api-relationship-rest-resource
      summary: Get assessment history for a relationship
      operationId: getAssessmentsForRelationship
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Assessment'
                uniqueItems: true
components:
  schemas:
    Assessment:
      type: object
      default: null
      properties:
        id:
          type: integer
          format: int64
        status:
          type: string
          enum:
            - NOT_ASSESSED
            - AWAITING_REMEDIATION
            - STARTED
            - REVIEW_STARTED
            - AUDIT_COMPLETED
            - COMPLETED
            - CANCELLED
            - DELETED
            - COLLECTING_INFORMATION
        sentToEmail:
          type: string
        createdDate:
          type: string
          format: date-time
        summary:
          type: string
          default: ''
          deprecated: true
        expirationDate:
          type: string
          format: date-time
        completedDate:
          type: string
          format: date-time
        requestedAuditTypes:
          type: array
          items:
            type: string
          uniqueItems: true
        aiProcessingOnly:
          type: boolean
        noVendorResponseAction:
          type: string
          enum:
            - CLOSE_COLLECTION_REQUEST
            - NOTIFY_ME
        collectionTimeline:
          type: string
          enum:
            - SEVEN_DAYS
            - FOURTEEN_DAYS
            - THIRTY_DAYS
            - SIXTY_DAYS
            - NINETY_DAYS
            - ONE_HUNDRED_TWENTY_DAYS
        followupTimeline:
          type: string
          enum:
            - SEVEN_DAYS
            - FOURTEEN_DAYS
            - THIRTY_DAYS
            - SIXTY_DAYS
            - NINETY_DAYS
        followupRiskThreshold:
          type: string
          enum:
            - NO_CONTEXT
            - LOW
            - MEDIUM
            - HIGH
            - EXTREME
        followupType:
          type: string
          enum:
            - MANUAL
            - AUTOMATIC
            - CONCIERGE
        statusHistories:
          type: array
          items:
            $ref: '#/components/schemas/AssessmentStatusHistory'
          uniqueItems: true
        createdReason:
          type: string
          enum:
            - INITIAL_ASSESSMENT
            - ARTIFACTS_EXPIRED
            - RECERTIFICATION_INITIATED
            - BUSINESS_CASE_OR_DATA_TYPES_CHANGED
            - THIRD_PARTY_CONTACT_UPDATED
            - ARTIFACTS_UPLOADED_ON_RELATIONSHIP
            - REMEDIATION
            - RISK_ADVISORY_RESPONSE
            - INSTANT_ANALYSIS
            - PUBLIC_SEARCH
        assessmentType:
          type: string
        sentToFirstName:
          type: string
        sentToLastName:
          type: string
        recommendations:
          type: array
          items:
            $ref: '#/components/schemas/AssessmentRecommendation'
          uniqueItems: true
        updatedDate:
          type: string
          format: date-time
        phaseDate:
          type: string
          format: date-time
        sentBy:
          $ref: '#/components/schemas/VisoUser'
        requestedArtifactCollection:
          type: boolean
    AssessmentStatusHistory:
      type: object
      default: null
      properties:
        date:
          type: string
          format: date-time
        status:
          type: string
          enum:
            - NOT_ASSESSED
            - AWAITING_REMEDIATION
            - STARTED
            - REVIEW_STARTED
            - AUDIT_COMPLETED
            - COMPLETED
            - CANCELLED
            - DELETED
            - COLLECTING_INFORMATION
    AssessmentRecommendation:
      type: object
      default: null
      properties:
        description:
          type: string
        createdDate:
          type: string
          format: date-time
        recommendationType:
          type: string
          enum:
            - EXPIRED
            - HIGH_ASSURANCE
            - CONTROL_DOMAINS
            - COMBINED
            - CERT_ONLY
            - LOW_COVERAGE
            - PRESUMED_ARTIFACT
    VisoUser:
      type: object
      default: null
      properties:
        firstName:
          type: string
        lastName:
          type: string
        email:
          type: string
        businessUnit:
          type: string

````